## Defaults

### createServer

true - create http server, attach Push-It (and Socket.IO.)

### port

3030 - default boot port

### complieViews

true - compiles views in `options.directories.templates` so they are available to the server

Note: if you have pre-compiled your views (for a production deploy) then you may set this to "false" and the views will be read from `options.directories.generated + "/templates.js"`

### writeTemplates

true - the compile step writes `options.directories.generated + "/templates.js"`

### compileBrowserVersions

true - runs the Asset pipeline to compile browser-ready versions of things like the Transitive browser runtime, templates, and more

### mixin

true - mixin common packages into the context passed to `boot`.

### server

[new server] - create a new `connect` server.  Override this if you want to use SSL.

### templateEngines

an Object where the keys are file extensions and the properties are functions that accept `(source, filename)` and return a `function(locals) `that returns HTML when called

### directories
  
  * templates - the root directory for your template files
  * liveRenders - the root directories for your LiveRender definitions
  * public - static assets that will be served relative to the root
  * generated - destination directory for assets that are not served to browser
  * generatedPublic - destination directory for assets generated by Transitive that will be served.

## Overriding Defaults

  * just pass in the options to `Transitive.boot(context, options)`
  * if you don't want the defaults merged in (advanced use!) then set options.mergeDefaults to false.
  * if you want to load the defaults to inspect them, try `defaults = Transitive.loadOptions({mergeDefaults:true})`
  